Bug 1009620 - typo in cartridge depedency warning message.
typo in cartridge depedency warning message.
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Clayton Coleman
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-18 13:45 EDT by Peter Ruan
Modified: 2015-05-14 22:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-17 09:29:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-09-18 13:45:24 EDT
Description of problem:
  There's a typo in the following warning message.  It should be 'without' instead of 'with out'

 Using phpmyadmin-3 (phpMyAdmin 3.5) for 'mysql'
      Adding phpmyadmin-3 to application 'app1' ... Cartridge 'phpmyadmin-3' can not be added with out cartridge 'mariadb'.

Version-Release number of selected component (if applicable):
current.

How reproducible:
always.

Steps to Reproduce:
1. try to add phpmyadmin without having mysql cart installed.
2.
3.

Actual results:

      Adding phpmyadmin-3 to application 'app1' ... Cartridge 'phpmyadmin-3' can not be added with out cartridge 'mariadb'.

Expected results:
should read 'without' instead of 'with out'

Additional info:
Comment 1 Clayton Coleman 2013-09-25 16:37:12 EDT
Fixed in 79c4a15 in fork_ami for membership
Comment 2 Wei Sun 2013-09-25 23:17:31 EDT
Verified with rhc build from  fork_ami_origin_ui_72_membership_863

Result:
[wsun@dhcp-8-229 dev]$ rhc add-cartridge phpmyadmin-4 -a r8
Adding phpmyadmin-4 to application 'r8' ... Cartridge 'phpmyadmin-4' can not be added without cartridge 'mysql'.

Note You need to log in before you can comment on or make changes to this bug.